com.icesoft.faces.component.dragdrop

## Class DndEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - com.icesoft.faces.component.dragdrop.DndEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DragEvent, DropEvent

      public class DndEvent
      extends javax.faces.event.FacesEvent

  A DnDEvent is passed to Drag and Drop Event listeners. It contains all the information on the type of event, and the components involved.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DRAG_CANCEL` Event type for when a Draggable panel has been dropped, but not on a drop target.
    `static int` | `DRAG_START` Event type for when a Draggable panel is starting to drag
    `static int` | `DRAGGING`
    `static int` | `DROPPED` Event type for when a Draggable panel has been dropped on a drop target.
    `static int` | `HOVER_END` Event type for when a Drgabble panel is no longer hovering over a drop target.
    `static int` | `HOVER_START` Event type for when a Draggable panel is being hovered over a drop target.
    `static java.lang.String` | `MASK_ALL` Mask to cover all DnD Events.
    `static java.lang.String` | `MASK_ALL_BUT_DROPS`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DndEvent(javax.faces.component.UIComponent uiComponent, int eventType, java.lang.String targetClentId, java.lang.Object targetDragValue, java.lang.Object targetDropValue)` DnDEvent This constructor is called by Drag and Drop components in the Decode method.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getEventName(int i)`
    `int` | `getEventType()` Event type for the Event.
    `java.lang.String` | `getTargetClientId()` The clientId of the target Panel Group.
    `java.lang.Object` | `getTargetDragValue()` The drag value assigned to the target PanelGroup Null for DRAG_START, DRAG_CANCEL, and HOVER_END events
    `java.lang.Object` | `getTargetDropValue()` The drop value assigned to the target PanelGroup Null for DRAG_START, DRAG_CANCEL, and HOVER_END events
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)` False
    `static java.lang.String` | `parseMask(java.lang.String mask)` Parse a mask value to make its valid, Used in rendering.
    `void` | `processListener(javax.faces.event.FacesListener facesListener)` Not implemented

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DRAG_START

          public static final int DRAG_START

      Event type for when a Draggable panel is starting to drag
      See Also:
        Constant Field Values

    - #### DRAGGING

          public static final int DRAGGING

      See Also:
        Constant Field Values

    - #### DRAG_CANCEL

          public static final int DRAG_CANCEL

      Event type for when a Draggable panel has been dropped, but not on a drop target.
      See Also:
        Constant Field Values

    - #### DROPPED

          public static final int DROPPED

      Event type for when a Draggable panel has been dropped on a drop target. The dndComponent will be set to the drop target for this event
      See Also:
        Constant Field Values

    - #### HOVER_START

          public static final int HOVER_START

      Event type for when a Draggable panel is being hovered over a drop target. The dndComponent will be set to the drop target for this event
      See Also:
        Constant Field Values

    - #### HOVER_END

          public static final int HOVER_END

      Event type for when a Drgabble panel is no longer hovering over a drop target.
      See Also:
        Constant Field Values

    - #### MASK_ALL

          public static final java.lang.String MASK_ALL

      Mask to cover all DnD Events.
      See Also:
        Constant Field Values

    - #### MASK_ALL_BUT_DROPS

          public static final java.lang.String MASK_ALL_BUT_DROPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DndEvent

          public DndEvent(javax.faces.component.UIComponent uiComponent,
                          int eventType,
                          java.lang.String targetClentId,
                          java.lang.Object targetDragValue,
                          java.lang.Object targetDropValue)

      DnDEvent This constructor is called by Drag and Drop components in the Decode method.
      Parameters:
        `uiComponent` -
        `eventType` -
        `targetClentId` -
        `targetDragValue` -
        `targetDropValue` -

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      False
      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`
      Parameters:
        `facesListener` -
      Returns:
        boolean

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Not implemented
      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`
      Parameters:
        `facesListener` -

    - #### getEventType

          public int getEventType()

      Event type for the Event. Possible values are DRAG_START, DRAG_CANCEL, DROPPED, HOVER_START HOVER_END
      Returns:
        int eventType

    - #### getTargetDropValue

          public java.lang.Object getTargetDropValue()

      The drop value assigned to the target PanelGroup Null for DRAG_START, DRAG_CANCEL, and HOVER_END events
      Returns:
        Object targetDropValue

    - #### getTargetDragValue

          public java.lang.Object getTargetDragValue()

      The drag value assigned to the target PanelGroup Null for DRAG_START, DRAG_CANCEL, and HOVER_END events
      Returns:
        Object targetDragValue

    - #### getTargetClientId

          public java.lang.String getTargetClientId()

      The clientId of the target Panel Group. Null for DRAG_START, DRAG_CANCEL, and HOVER_END events
      Returns:
        String targetClientId

    - #### getEventName

          public static java.lang.String getEventName(int i)

    - #### parseMask

          public static java.lang.String parseMask(java.lang.String mask)

      Parse a mask value to make its valid, Used in rendering.
      Parameters:
        `mask` -
      Returns:
        String mask

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.